PDA

View Full Version : java installation error FC 6



SudoFed
4th November 2006, 09:18 PM
just started using fc6 yesterday (linux 2 weeks).

when I type in as root : yum --enablerepo=jpackage-generic-nonfree install java-1.5.0-sun-compat

I get the error: Loading "installonlyn" plugin
Error getting repository data for jpackage-generic-nonfree, repository not found
any help would be appreciated. thanks.

Seve
4th November 2006, 10:22 PM
Hello:
Most likely the repo or the mirrors are down?
Have you checked their site lately?

Seve

dudelove
4th November 2006, 10:35 PM
if you are trying to install only java. try following the instructions at

http://stanton-finley.net/fedora_core_5_installation_notes.html#Java

they worked for me on fc5 & fc6.

voidarhat
5th November 2006, 12:43 AM
Hello SudeFed,
1 - download jdk-1_5_0_09-linux-amd64-rpm.bin if you use FC6 x64 or jdk-1_5_0_09-linux-i586-rpm.bin if you have x86.
2 - run fine with ./jdk-1_5_0_09-linux-i586-rpm.bin
3 - install packaged that will create (jdk-1_5_0_09-linux-i586-rpm)
4 - create file (gedit /etc/profile.d/java.sh)
5 - put this content

#!/bin/sh
JAVA_HOME=/usr/java/jdk1.5.0_03
export JAVA_HOME
JAVA_BIN=$JAVA_HOME/bin
CLASSPATH=$CLASSPATH:$JAVA_HOME:$JAVA_HOME/lib
PATH=$JAVA_BIN:$PATH
export JAVA_BIN CLASSPATH PATH

I got this information here (PeTzZz) (http://forum.fedoraforum.org/showpost.php?p=280719&postcount=7)

Wayne
5th November 2006, 12:54 AM
I wouldn't use the rpm.bin file of Sun Java. There may be some conflict with the OSS Java when there is an update for it. I would follow the advice to use Stanton Finley's guide to install the non-rpm version to /opt.

Wayne